sampler2D implicitInput : register(S0);
float4 mask: register(C0);

float4 main(float2 uv : TEXCOORD) : COLOR
{
	float4 color = tex2D(implicitInput, uv);
	if (mask.r == color.r && mask.g == color.g && mask.b == color.b)
	{
		color.a = 0;
	}
	return color;
}
